/* This REXX script creates folder and objects for DFSEE on desktop.    */
/* The script must reside in DFSEE (ecs)BIN folder from there it should */
/* be  started.                                                         */
/* 03-15-2006, Script has been created by Karl Steinsky (Germany).      */

"cls"

say;say " DFSeeOs2 WP-Object Creation.";say

/* - - - - - init RexxUtil - - - - - */

if rxfuncquery('SysLoadFuncs') then do
 call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
 call SysLoadFuncs
end

/* - - - - - Get install directory - - - - - */
InstDir = directory()

/* - - - - - object creation - - - - - */
say " Creating WPS objects..."

Call SysCreateObject 'WPFolder', 'DFSEE^Folder', '<WP_DESKTOP>', 'OBJECTID=<DFS_Folder>;ICONFILE='||InstDir||'\dfsclose.ico;ICONNFILE=1,'||InstDir||'\dfsopen.ico;BACKGROUND='||InstDir||'\backdfs.bmp,T,1,I,DEFAULT', 'REPLACE'
Call SysCreateObject 'WPUrl', 'DFSEE^Support^Yahoo Group', '<DFS_Folder>', 'OBJECTID=<DFSEESupport>;URL=http://www.yahoo.com/group/dfsee-support', 'REPLACE'
Call SysCreateObject 'WPUrl', 'Fsys Software^Homepage', '<DFS_Folder>', 'OBJECTID=<DFSEEHome>;URL=http://www.dfsee.com', 'REPLACE'
/*
Call SysCreateObject 'WPProgram', 'Create^Bootable^Diskette', '<DFS_Folder>', 'OBJECTID=<bootdiskexe>;EXENAME='||InstDir||'\Bootdsk.exe;PROGTYPE=WINDOWABLEVIO;ICONFILE='||InstDir||'\bootdsk.ICO;', 'REPLACE'
*/
Call SysCreateObject 'WPProgram', 'Clone^Disk', '<DFS_Folder>', 'OBJECTID=<clonedisk>;EXENAME='||InstDir||'\DFSOS2.exe;STARTUPDIR='||InstDir||';PARAMETERS=clone -d -D;PROGTYPE=WINDOWABLEVIO;ICONFILE='||InstDir||'\Hardisk.ICO;', 'REPLACE'
Call SysCreateObject 'WPProgram', 'Clone^Partition', '<DFS_Folder>', 'OBJECTID=<clonepart>;EXENAME='||InstDir||'\DFSOS2.exe;STARTUPDIR='||InstDir||';PARAMETERS=clone -p -P;PROGTYPE=WINDOWABLEVIO;ICONFILE='||InstDir||'\Hardisk.ICO;', 'REPLACE'
Call SysCreateObject 'WPProgram', 'Restore^Partition', '<DFS_Folder>', 'OBJECTID=<Restpart>;EXENAME='||InstDir||'\DFSOS2.exe;STARTUPDIR='||InstDir||';PARAMETERS=restore -P;PROGTYPE=WINDOWABLEVIO;ICONFILE='||InstDir||'\drives.ICO;', 'REPLACE'
Call SysCreateObject 'WPProgram', 'Image a^Partition', '<DFS_Folder>', 'OBJECTID=<Imagpart>;EXENAME='||InstDir||'\DFSOS2.exe;STARTUPDIR='||InstDir||';PARAMETERS=image -P;PROGTYPE=WINDOWABLEVIO;ICONFILE='||InstDir||'\drives.ICO;', 'REPLACE'
Call SysCreateObject 'WPProgram', 'DFScheck^Partitions', '<DFS_Folder>', 'OBJECTID=<CHKpart>;EXENAME='||InstDir||'\DFSCHECK.CMD;STARTUPDIR='||InstDir||';PARAMETERS=[Partition-ID, or * for ALL];PROGTYPE=WINDOWABLEVIO;ICONFILE='||InstDir||'\dfsdisk.ICO;', 'REPLACE'
Call SysCreateObject 'WPProgram', 'Run a DFSee^(recovery) script', '<DFS_Folder>', 'OBJECTID=<RecoverScript>;EXENAME='||InstDir||'\DFSOS2.exe;STARTUPDIR='||InstDir||';PARAMETERS=run;PROGTYPE=WINDOWABLEVIO;ICONFILE='||InstDir||'\dfsinfo.ICO;', 'REPLACE'
Call SysCreateObject 'WPProgram', 'DFSdisk^Analysis', '<DFS_Folder>', 'OBJECTID=<Dfsanalysis>;EXENAME='||InstDir||'\DFSDISK.CMD;STARTUPDIR='||InstDir||';PARAMETERS=[Disk number, or * for ALL disks];PROGTYPE=WINDOWABLEVIO;ICONFILE='||InstDir||'\dfsinfo.ICO;', 'REPLACE'
Call SysCreateObject 'WPProgram', 'DFSee^Large Window', '<DFS_Folder>', 'OBJECTID=<DfsLWindow>;EXENAME='||InstDir||'\DFSEE.CMD;STARTUPDIR='||InstDir||';PARAMETERS=96 36;PROGTYPE=WINDOWABLEVIO;ICONFILE='||InstDir||'\dfsee.ICO;', 'REPLACE'
Call SysCreateObject 'WPProgram', 'DFSee^Interactive', '<DFS_Folder>', 'OBJECTID=<DfsInter>;EXENAME='||InstDir||'\DFSEE.CMD;STARTUPDIR='||InstDir||';PROGTYPE=WINDOWABLEVIO;ICONFILE='||InstDir||'\dfsee.ICO;', 'REPLACE'
Call SysCreateObject 'WPProgram', 'DFSOS2', '<DFS_Folder>', 'OBJECTID=<Dfsee>;EXENAME=CMD.EXE;STARTUPDIR='||InstDir||';PROGTYPE=WINDOWABLEVIO;PARAMETERS=/c '||InstDir||'\DFSOS2.exe;ICONFILE='||InstDir||'\dfsee9b.ICO;', 'REPLACE'

say "...done."
say
say "Installation done. Hit ENTER to continue."
pull dummy
call SysOpenObject "<DFS_Folder>", 0, "TRUE"

exit
